Loading...
Searching...
No Matches
url.h File Reference

Deprecated - Use a third-party URL library. More...

`#include <proton/import_export.h>`
Include dependency graph for url.h:

Go to the source code of this file.

## Typedefs

typedef struct pn_url_t | pn_url_t
| A parsed URL.

## Functions

pn_url_t * | pn_url (void)
| Create an empty URL.
pn_url_t * | pn_url_parse (const char *url)
| Parse a string URL as a pn_url_t.
void | pn_url_free (pn_url_t *url)
| Free a URL.
void | pn_url_clear (pn_url_t *url)
| Clear the contents of the URL.
const char * | pn_url_str (pn_url_t *url)
| Return the string form of a URL.
Getters for parts of the URL.
Values belong to the URL. May return NULL if the value is not set.
const char * | pn_url_get_scheme (pn_url_t *url)
const char * | pn_url_get_username (pn_url_t *url)
const char * | pn_url_get_password (pn_url_t *url)
const char * | pn_url_get_host (pn_url_t *url)
const char * | pn_url_get_port (pn_url_t *url)
const char * | pn_url_get_path (pn_url_t *url)
Setters for parts of the URL.
Values are copied. Value can be NULL to indicate the part is not set.
void | pn_url_set_scheme (pn_url_t *url, const char *scheme)
void | pn_url_set_username (pn_url_t *url, const char *username)
void | pn_url_set_password (pn_url_t *url, const char *password)
void | pn_url_set_host (pn_url_t *url, const char *host)
void | pn_url_set_port (pn_url_t *url, const char *port)
void | pn_url_set_path (pn_url_t *url, const char *path)

## Detailed Description

Deprecated - Use a third-party URL library.